# Kontoverwaltung
## Saldo abfragen
> **GET** `/v3/account/balance`
Fragen Sie den Guthabenstand des Girokontos ab.
### Anforderungsparameter
#### Anforderungsheader
| Parameter | Typ | Erforderlich | Standard | Beschreibung |
| :-: | :-: | :-: | :-: | :-: |
| Authorization | Zeichenfolge | Ja | — | `Bearer {api_key}` |
#### Beispiel anfordern
##### curl
```bash
curl -X GET https://openapi.tripo3d.ai/v3/account/balance \
-H "Authorization: Bearer {api_key}"
```
##### Python
```python
import requests
url = "https://openapi.tripo3d.ai/v3/account/balance"
headers = {
"Authorization": "Bearer {api_key}"
}
response = requests.get(url, headers=headers)
print(response.json())
```
##### JavaScript
```javascript
const url = "https://openapi.tripo3d.ai/v3/account/balance";
const response = await fetch(url, {
headers: {
"Authorization": "Bearer {api_key}"
}
});
const data = await response.json();
console.log(data);
```
### Antwort
#### Erfolgreiche Antwort
```json
{
"code": 0,
"data": {
"balance": 10000.00,
"frozen": 200.00
}
}
```
#### Antwortfelder
| Parameter | Typ | Beschreibung |
| :-: | :-: | :-: |
| code | ganze Zahl | Statuscode. `0` zeigt Erfolg an |
| data.balance | number | Verfügbares Guthaben |
| data.frozen | number | Eingefrorene Credits, reserviert für laufende Aufgaben |
---
## Nutzungsdetails abfragen
> **GET** `/v3/account/usage`
Fragen Sie die Details zur Kreditverwendung für das Konto ab.
### Anforderungsparameter
#### Anforderungsheader
| Parameter | Typ | Erforderlich | Standard | Beschreibung |
| :-: | :-: | :-: | :-: | :-: |
| Authorization | Zeichenfolge | Ja | — | `Bearer {api_key}` |
#### Beispiel anfordern
##### curl
```bash
curl -X GET https://openapi.tripo3d.ai/v3/account/usage \
-H "Authorization: Bearer {api_key}"
```
##### Python
```python
import requests
url = "https://openapi.tripo3d.ai/v3/account/usage"
headers = {
"Authorization": "Bearer {api_key}"
}
response = requests.get(url, headers=headers)
print(response.json())
```
##### JavaScript
```javascript
const url = "https://openapi.tripo3d.ai/v3/account/usage";
const response = await fetch(url, {
headers: {
"Authorization": "Bearer {api_key}"
}
});
const data = await response.json();
console.log(data);
```
### Antwort
#### Erfolgreiche Antwort
```json
{
"code": 0,
"data": [
{
"task_id": "task_abc123",
"type": "text_to_model",
"credits_consumed": 100.00,
"created_at": "2025-01-01T00:00:00Z"
}
]
}
```
#### Antwortfelder
| Parameter | Typ | Beschreibung |
| :-: | :-: | :-: |
| code | ganze Zahl | Statuscode. `0` zeigt Erfolg an |
| data | Array | Liste der Nutzungsdetails |
| Daten[].task_id | Zeichenfolge | Eindeutiger Aufgabenbezeichner |
| data[].type | Zeichenfolge | Aufgabentyp |
| Daten[].credits_consumed | number | Credits verbraucht |
| Daten[].created_at | Zeichenfolge | Erstellungszeit (ISO 8601) |
Kontoverwaltung
Saldo abfragen
GET /v3/account/balance
Fragen Sie den Guthabenstand des Girokontos ab.
Anforderungsparameter
Anforderungsheader
| Parameter |
Typ |
Erforderlich |
Standard |
Beschreibung |
| Authorization |
Zeichenfolge |
Ja |
— |
Bearer {api_key} |
Beispiel anfordern
curl -X GET https://openapi.tripo3d.ai/v3/account/balance \
-H "Authorization: Bearer {api_key}"
import requests
url = "https://openapi.tripo3d.ai/v3/account/balance"
headers = {
"Authorization": "Bearer {api_key}"
}
response = requests.get(url, headers=headers)
print(response.json())
const url = "https://openapi.tripo3d.ai/v3/account/balance";
const response = await fetch(url, {
headers: {
"Authorization": "Bearer {api_key}"
}
});
const data = await response.json();
console.log(data);
Antwort
Erfolgreiche Antwort
{
"code": 0,
"data": {
"balance": 10000.00,
"frozen": 200.00
}
}
Antwortfelder
| Parameter |
Typ |
Beschreibung |
| code |
ganze Zahl |
Statuscode. 0 zeigt Erfolg an |
| data.balance |
number |
Verfügbares Guthaben |
| data.frozen |
number |
Eingefrorene Credits, reserviert für laufende Aufgaben |
Nutzungsdetails abfragen
GET /v3/account/usage
Fragen Sie die Details zur Kreditverwendung für das Konto ab.
Anforderungsparameter
Anforderungsheader
| Parameter |
Typ |
Erforderlich |
Standard |
Beschreibung |
| Authorization |
Zeichenfolge |
Ja |
— |
Bearer {api_key} |
Beispiel anfordern
curl -X GET https://openapi.tripo3d.ai/v3/account/usage \
-H "Authorization: Bearer {api_key}"
import requests
url = "https://openapi.tripo3d.ai/v3/account/usage"
headers = {
"Authorization": "Bearer {api_key}"
}
response = requests.get(url, headers=headers)
print(response.json())
const url = "https://openapi.tripo3d.ai/v3/account/usage";
const response = await fetch(url, {
headers: {
"Authorization": "Bearer {api_key}"
}
});
const data = await response.json();
console.log(data);
Antwort
Erfolgreiche Antwort
{
"code": 0,
"data": [
{
"task_id": "task_abc123",
"type": "text_to_model",
"credits_consumed": 100.00,
"created_at": "2025-01-01T00:00:00Z"
}
]
}
Antwortfelder
| Parameter |
Typ |
Beschreibung |
| code |
ganze Zahl |
Statuscode. 0 zeigt Erfolg an |
| data |
Array |
Liste der Nutzungsdetails |
| Daten[].task_id |
Zeichenfolge |
Eindeutiger Aufgabenbezeichner |
| data[].type |
Zeichenfolge |
Aufgabentyp |
| Daten[].credits_consumed |
number |
Credits verbraucht |
| Daten[].created_at |
Zeichenfolge |
Erstellungszeit (ISO 8601) |